/* Paleta de colores */
:root {
    --color-fondo: #F9F3EF;
    --color-primario: #123458;
    --color-secundario: #1B3C53;
    --color-acento: #CBDCEB;
    --text-color: #030303;
    --button-active: #123458;
    --button-hover: #CBDCEB;
}

*{
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}

/*body*/

body {
    font-family: Arial, sans-serif;
    background-color: var(--color-fondo);
    color: var(--color-primario);
    margin: 0;
    padding: 0;
}

/*header*/

.header{
    position: fixed;
    top: 0;
    left: 0;
    display: flex;
    justify-content: space-around;
    transition: 0.7s;
    padding: 30px 20px;
    width: 100%;
    z-index: 10;
}


header .logo{
    position: relative;
    color: var(--color-secundario);
    font-weight: bold;
    font-size: 2em;
    letter-spacing: 2px;
    transition: 1.5s;
    text-decoration: none;
    margin-top: 10px;
}

header ul li a{
    position: relative;
    font-family: 'Montserrat', sans-serif;
    margin: 0 15px;
    text-decoration: none;
    color: var(--color-secundario);
    letter-spacing: 2px;
    font-weight: 600;
    transition: 0.7s;
}

header.abajo{
    background-color: var(--color-primario);
    padding: 25px 15px;
}

header.abajo .logo,
header.abajo ul li a{
    color: var(--color-acento);
}

/*navegación*/

nav{
    display: flex;
    justify-content: center;
    align-items: center;
    
}

.navegación ul{
    list-style: none;
}

.nav > li{
    /*position: relative;*/
    display: inline-block;
}

.nav > li > a{
    display: block;
    padding: 15px 20px;
    text-decoration: none;
    color: var(--color-secundario);
    font-family: 'Montserrat', sans-serif;
}

.nav li a:hover{
    color: var(--color-acento);
    transition: all .3s;
    font-family: 'Montserrat', sans-serif;
    text-decoration: none;
}

.language-buttons {
    margin-bottom: 20px;
}
button {
    margin: 5px;
    margin-top: 20px;
    padding: 5px 15px;
    font-size: 16px;
    background-color: var(--color-fondo);
    cursor: pointer;
    border: none;
}
.hidden {
    display: none;
}

.zona1{
    position: relative;
    width: 100%;
    height: 100vh;
    height: 550px;
    background-size: cover;
    background-position: center;
    background-attachment: fixed;
    position: relative;
}

section .wave{
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 100px;
    background: url(wave.png);
    background-size: 1000px 100px;

}

section .text-slogan{
    display: flex;
    height: 420px;
    width: 100%;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    text-align: center;
}

.text-slogan{
    display: inline-flex;
    margin-left: 15px;
    margin-top: 140px;
    margin-bottom: 150px;
}

.text-slogan span{
    position: relative;
}

.text-slogan span::after{
    content: "";
    position: absolute;
    height: 100%;
    background-color: var(--color-fondo);
    width: 100%;
    color: var(--color-fondo);
    left: 0;
    animation: typing 4.5s steps(150) infinite;
}
.text-slogan h2{
    color: var(--color-primario);
    font-size: 60px;
    font-weight: 300;
}

.text-slogan h3{
    color: var(--color-secundario);
    font-size: 40px;
    font-weight: 250;
}

@keyframes typing{
    100%{
        left: 100%;
        margin: 0 -35px 0 35px;
    }
}

/*about me*/

.content-about-me{
    display: flex;
    justify-content: center;
    margin-bottom: 60px;
}

.text-about-me{
    width: 48%;
}

.text-about-me h2{
    margin-bottom: 15px;
    display: inline-block;
    text-align: left;
    font-size: 30px;
    color: var(--color-primario);
    margin-top: 30px;
}

.text-about-me h3{
    margin-bottom: 5px;
    display: inline-block;
    text-align: left;
    font-size: 20px;
    color: var(--color-primario);
    margin-top: 10px;
}

.text-about-me p {
  margin-bottom: 15px;
  display: block;
  text-align: justify;
  font-weight: 100;
  color: var(--text-color);
}


.img-about-me{
    width: 25%;
    text-align: center;
    margin-top: 20px;
    margin-bottom: 15px;
    margin-left: 8px;
    margin-right: 50px;
}

.text-about-me a{
    text-decoration: none;
}
/*values*/

.Values{
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    justify-content: center;
    min-height: 90vh;
    background-color: var(--color-acento);
    padding-top: -30px;
}

.content-values{
   padding-top: 40px;
}

.content-values h2{
    display: flex;
    align-items: center;
    justify-content: center;
    margin-top: -20px;
}

.content-card{
    display: flex;
}

.card{
    position: relative;
    width: 300px;
    height: 350px;
    margin: 20px;
}

.card .face{
    position: absolute;
    width: 100%;
    height: 100%;
    backface-visibility: hidden;
    border-radius: 15px;
    overflow: hidden;
    transition: 5s;

}

.card .front{
    transform: perspective(600px) rotateY(0deg);
    box-shadow: 0 5px 10px #000;
}

.card .front img{
    position: absolute;
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.card .front h3{
    position: absolute;
    bottom: 0;
    width: 100%;
    height: 45px;
    line-height: 45px;
    color: var(--color-fondo);
    background-color: rgba(0, 0, 0, .4);
    text-align: center;
}

.card .back{
    transform: perspective(600px) rotateY(180deg);
    background: rgb(3, 35, 54);
    padding: 15px;
    color: #f3f3f3;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    text-align: center;
    box-shadow: 0 5px 10px #000;
}

.card .back .link{
    border-top: solid 1px #f3f3f3;
    height: 50px;
    line-height: 50px;
}

.card .back .link a{
    color: #f3f3f3;
    text-decoration: none;
}

.card .back h3{
    font-size: 30px;
    margin-top: 20px;
    letter-spacing: 2px;
}

.card .back p{
    letter-spacing: 1px;
}

.card:hover .front{
    transform: perspective(600px) rotateY(180deg);
}

.card:hover .back{
    transform: perspective(600px) rotateY(360deg);
}

/*Work*/

.Work{
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    justify-content: center;
    min-height: 90vh;
    background-color: var(--color-fondo);
    padding-top: -30px;
}

.contenido-Work{
   padding-top: 40px;
}

.contenido-Work h2{
    display: flex;
    align-items: center;
    justify-content: center;
    margin-top: 40px;
}

.content-work{
  display: flex;
  width: 95%;
  margin: auto;
  padding-top: 30px;
}

.card-work{
  width: 50%;
  margin: 20px;
  border-radius: 6px;
  overflow: hidden;
  background: var(--button-hover);
  box-shadow: 0px 1px 10px rgba(0, 0, 0, 0.2);
  transition: all 400ms ease-out;
  cursor: default;
}

.card-work:hover{
  box-shadow: 5px 5px 20px rgba(0, 0, 0, 0.4);
  transform: translateY(-3%);
}

.card-work img{
  width: 100%;
  height: 210px;
}

.card-work .contenido{
  padding: 15px;
  text-align: center;
}

.card-work .contenido h3{
  margin-bottom: 15px;
  color: #1B3C53;
}

.card-work .contenido p{
  line-height: 1.8;
  color: #030303;
  font-size: 14px;
  margin-bottom: 5px;
}

button {
  position: relative;
  display: inline-block;
  cursor: pointer;
  outline: none;
  border: 0;
  vertical-align: middle;
  text-decoration: none;
  background: transparent;
  padding: 0;
  font-size: inherit;
  font-family: inherit;

  &.learn-more {
    width: 12rem;
    height: auto;

    .circle {
      transition: all 0.45s cubic-bezier(0.65, 0, 0.076, 1);
      position: relative;
      display: block;
      margin: 0;
      width: 3rem;
      height: 3rem;
      background: var(--color-primario);
      border-radius: 1.625rem;
      overflow: hidden;

      .icon {
        transition: all 0.45s cubic-bezier(0.65, 0, 0.076, 1);
        position: absolute;
        top: 0;
        bottom: 0;
        margin: auto;
        background: var(--color-fondo);

        &.arrow {
          transition: all 0.45s cubic-bezier(0.65, 0, 0.076, 1);
          left: 0.625rem;
          width: 1.125rem;
          height: 0.125rem;
          background: none;

          &::before {
            position: absolute;
            content: '';
            top: -0.25rem;
            right: 0.0625rem;
            width: 0.625rem;
            height: 0.625rem;
            border-top: 0.125rem solid var(--color-fondo);
            border-right: 0.125rem solid var(--color-fondo);
            transform: rotate(45deg);
          }
        }
      }
    }

    .button-text {
      transition: all 0.45s cubic-bezier(0.65, 0, 0.076, 1);
      position: absolute;
      top: 0;
      left: 0;
      right: 0;
      bottom: 0;
      padding: 0.75rem 0;
      margin: 0 0 0 1.85rem;
      color: var(--color-primario);
      font-weight: 700;
      line-height: 1.6;
      text-align: center;
      text-transform: uppercase;
    }
  }

  &:hover {
    .circle {
      width: 100%;
      background: var(--button-active); /* ✅ color visible al expandirse */

      .icon {
        &.arrow {
          background: var(--color-fondo);
          transform: translate(1rem, 0);
        }
      }
    }

    .button-text {
      color: var(--color-fondo);
    }
  }
}

button.learn-more .button-text a {
  color: inherit;
  text-decoration: none;
  display: inline-block;
}

@supports (display: grid) {
  #container {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    grid-gap: 0.625rem;
    grid-template-areas: ". main main ." ". main main .";
    align-self: center;
    justify-self: center;
    grid-area: main;
  }
}

/*footer*/

.footer {
  position: relative;
  width: 100%;
  background: var(--color-primario);
  min-height: 100px;
  padding: 20px 50px;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
}

.social-icon {
  display: flex;
  justify-content: center;
  align-items: center;
  position: relative;
  margin: 10px 5px;
  flex-wrap: wrap;
}

.icon-elem {
  list-style: none;
}

.icon {
  color: white;
  font-size: 32px;
  display: inline-block;
  margin: 0 10px;
  transition: 0.5s;
}

.icon:hover {
  transform: translateY(-10px);
}

.menu {
  display: flex;
  justify-content: center;
  position: relative;
  align-items: center;
  margin: 10px 0;
  flex-wrap: wrap;
}

.menu-elem {
  list-style: none;
}
.menu-icon {
  color: white;
  font-size: 20px;
  display: inline-block;
  text-decoration: none;
  margin: 5px 10px;
  opacity: 0.5;
  transition: 0.3s;
}

.menu-icon:hover {
  opacity: 1;
}

.text {
  color: white;
  text-align: center;
  margin-top: 15px;
  margin-bottom: 10px;
  font-size: 20px;
}